<?include('header.php');?>
<div class="menucenter">
<?php

if(!isset($_SESSION["username"]) && !isset($_SESSION["password"]))
{
	echo '<div class=error>Ошибка! Для доступа к данной странице необходимо зарегистрироваться!</div>';
	include('footer.php');
	exit();
}else{
	require('config.php');

	if(!isset($_GET["ban1id"]) && !isset($_GET["ban2id"])) {require('stat_task.php'); echo "<br />";}

	$username = text($_SESSION["username"]);

	if(isset($_POST["id"]))
		{
			if(preg_match("|^[\d]*$|",$_POST['id']))
				{
					$id = intval($_POST["id"]);

					$check_ban = mysql_query("SELECT id FROM seelf_task_ban WHERE id='$id' AND namep='$username'");
					$ban_exist = mysql_num_rows($check_ban);

					if($ban_exist>0)
						{
							mysql_query("DELETE FROM seelf_task_ban WHERE id='$id' AND namep='$username'") or die(mysql_error());
						}else{
							echo '<div class=error>Ошибка! Вы не можете удалить эту жалобу!</div>';
						}
				}else{
					echo '<div class=error>Ошибка такой жалобы нет!</div>';
				}
		}

if(isset($_GET["ban1id"]))
	{
		if(preg_match("|^[\d]*$|",$_GET['ban1id']))
			{
				$ban1id = intval($_GET["ban1id"]);

				$sql = mysql_query("SELECT nameuser FROM seelf_task_pay WHERE id='$ban1id' AND namep='$username'");
				if(mysql_num_rows($sql)>0)
					{
						$row = mysql_fetch_assoc($sql);
						$banuser = $row["0"];

						$sql_ban = mysql_query("SELECT id FROM seelf_task_ban WHERE namep='$username' AND nameuser='$banuser'");
						$ban_exist = mysql_num_rows($sql_ban);

						if($ban_exist)
							{
								echo '<div class=error>Ошибка! Вы уже подавали жалобу на этого пользователя!</div>';
							}else{
								if(isset($_POST["ban1id"]))
									{
										$ban1id = intval($_GET["ban1id"]);
										$comments = text($_POST["comments"]);
										$date = time();
										$ip =  getRealIP();
										//$ip =  $_SERVER["REMOTE_ADDR"];

										if(empty($comments)){echo '<div class=error>Ошибка! Вы не указали комментарий!</div>'; include('footer.php'); exit();}

										mysql_query("INSERT INTO seelf_task_ban (date, namep, nameuser, ident, comments, ip) VALUES('$date','$username','$banuser','$ban1id','$comments','$ip')") or die(mysql_error());

										echo '<div class=good>Жалоба успешно добавлена!';
										echo '<br><a href="task.php">&lt;&lt; Вернуться назад</a></div>';
										include('footer.php');
										exit();
									}else{
										?><b>Жалоба на пользователя:</b> <font color="red"><?php echo $banuser;?></font><br /><br />
										<b>Ваш комментарий:</b><br />
										<form method="post" action="<?=$_SERVER['PHP_SELF']?>?ban1id=<?=$ban1id?>">
											<textarea name="comments" rows="5" cols="30"></textarea>
											<input type="hidden" name="ban1id" value="<?php echo $ban1id;?>"><br /><br />
											<input type="submit" class="okey" value="Подать жалобу">
										</form><?
									}
							}
					}else{
						echo '<div class=error>Ошибка! Пользователь не определен!</div>';
					}
			}else{
				echo '<div class=error>Ошибка! Пользователь не определен!</div>';
			}
	}

if(isset($_GET["ban2id"]))
	{
		if(preg_match("|^[\d]*$|",$_GET['ban2id']))
			{
				$ban2id = intval($_GET["ban2id"]);

				$sql = mysql_query("SELECT namep FROM seelf_task_pay WHERE id='$ban2id' AND nameuser='$username'");
				if(mysql_num_rows($sql)>0)
					{
						$row = mysql_fetch_assoc($sql);
						$banuser = $row["0"];

						$sql_ban = mysql_query("SELECT id FROM seelf_task_ban WHERE namep='$username' AND nameuser='$banuser'");
						$ban_exist = mysql_num_rows($sql_ban);

						if($ban_exist)
							{
								echo '<div class=error>Ошибка! Вы уже подавали жалобу на этого пользователя!</div>';
							}else{
								if(isset($_POST["ban2id"]))
									{
										$ban2id = intval($_GET["ban2id"]);
										$comments = text($_POST["comments"]);
										$date = time();
										//$ip =  getRealIP();
										$ip =  $_SERVER["REMOTE_ADDR"];

										if(empty($comments)){echo '<div class=error>Ошибка! Вы не указали комментарий!</div?'; include('footer.php'); exit();}

										mysql_query("INSERT INTO seelf_task_ban (date, namep, nameuser, ident, comments, ip) VALUES('$date','$username','$banuser','$ban2id','$comments','$ip')") or die(mysql_error());

										echo '<div class=good>Жалоба успешно добавлена!';
										echo '<a href="task.php">&lt;&lt; Вернуться назад</a></div>';
										include('footer.php');
										exit();
									}else{
										?><b>Жалоба на пользователя:</b> <font color="red"><?php echo $banuser;?></font><br /><br />
										<b>Ваш комментарий:</b><br />
										<form method="post" action="<?=$_SERVER['PHP_SELF']?>?ban2id=<?=$ban2id?>">
											<textarea name="comments" rows="5" cols="30"></textarea>
											<input type="hidden" name="ban2id" value="<?php echo $ban2id;?>"><br /><br />
											<input type="submit" class="okey" value="Подать жалобу">
										</form><?
									}
							}
					}else{
						echo '<div class=error>Ошибка! Вы не можете подать жалобу на данного пользователя!</div>';
					}
			}else{
				echo '<div class=error>Ошибка! Пользователь не определен!</div>';
			}
	}

if(!isset($_GET["ban1id"]) && !isset($_GET["ban2id"]))
{
	function unhtml($mensaje)
	{
		$mensaje = str_replace("&amp;","&",$mensaje);
		return $mensaje;
	}
		?><center>Жалобы, поданные на Вас от других пользователей</center>


<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
<th width="5%" align="center" class="top">ID</th>
<th width="10%" align="center" class="top">Дата</th>
<th width="10%" align="center" class="top">Пользователь</th>
<th width="20%" align="center" class="top">Комментарий</th>
			</tr></thead><?

		$sql = mysql_query("SELECT * FROM seelf_task_ban WHERE nameuser='$username' ORDER BY id ASC");

		if(mysql_num_rows($sql)>0)
			{
				while ($row = mysql_fetch_assoc($sql))
				{
					$id = $row["id"];
					$date = $row["date"]; $date = DATE("d.m.Yг. в H:i",$date);
					$namep = $row["namep"];
					$comments = $row["comments"];

					?><tr bgcolor="">
						<td align="center"><?php echo $id;?></td>
						<td align="center"><?php echo $date;?></td>
						<td align="center"><?php echo $namep;?></td>
						<td align="center"><?php echo unhtml($comments);?></td>
					</tr><?
				}
			}
		echo "</table><br /><br />";


		?><center>Жалобы, которые подали Вы на других пользователей</center>

<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
<th width="5%" align="center" class="top">ID</th>
<th width="10%" align="center" class="top">Дата</th>
<th width="10%" align="center" class="top">Пользователь</th>
<th width="20%" align="center" class="top">Комментарий</th>
<th width="15%" align="center" class="top">Удалить</th>

			</tr></thead><?

		$sqlm = mysql_query("SELECT * FROM seelf_task_ban WHERE namep='$username' ORDER BY id ASC");

		if(mysql_num_rows($sqlm)>0)
			{
				while ($rowm = mysql_fetch_assoc($sqlm))
				{
					$id = $rowm["id"];
					$date = $rowm["date"]; $date = DATE("d.m.Yг. в H:i",$date);
					$nameuser = $rowm["nameuser"];
					$comments = $rowm["comments"];

					?><tr bgcolor="">
						<td align="center"><?php echo $id;?></td>
						<td align="center"><?php echo $date;?></td>
						<td align="center"><?php echo $nameuser;?></td>
						<td align="center"><?php echo unhtml($comments);?></td>
						<td align="center">
							<form method="post" action=""><input type="hidden" name="id" value="<?php echo $id;?>" /><input type="image" img src="images/delete.png" style="border:none;" alt="" title="Удалить"></form>
						</td>
					</tr><?
				}
			}
		echo "</table><br /><br />";
}

}
include('footer.php');?>